Package com.enonic.xp.export

## Class ImportNodesParams.Builder

- java.lang.Object
- - com.enonic.xp.export.ImportNodesParams.Builder

- Enclosing class:
    ImportNodesParams

      public static final class ImportNodesParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImportNodesParams` | `build()` |
    `ImportNodesParams.Builder` | `dryRun​(boolean dryRun)` |
    `ImportNodesParams.Builder` | `exportName​(String exportName)` |
    `ImportNodesParams.Builder` | `includeNodeIds​(boolean importNodeIds)` |
    `ImportNodesParams.Builder` | `includePermissions​(boolean importPermissions)` |
    `ImportNodesParams.Builder` | `nodeImportListener​(NodeImportListener nodeImportListener)` |
    `ImportNodesParams.Builder` | `source​(VirtualFile source)` |
    `ImportNodesParams.Builder` | `targetNodePath​(NodePath targetNodePath)` |
    `ImportNodesParams.Builder` | `xslt​(VirtualFile xslt)` |
    `ImportNodesParams.Builder` | `xsltFileName​(String xsltFileName)` |
    `ImportNodesParams.Builder` | `xsltParam​(String paramName, Object paramValue)` |
    `ImportNodesParams.Builder` | `xsltParams​(Map<String,​Object> xsltParams)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### targetNodePath

          public ImportNodesParams.Builder targetNodePath​(NodePath targetNodePath)

    - #### dryRun

          public ImportNodesParams.Builder dryRun​(boolean dryRun)

    - #### source

          public ImportNodesParams.Builder source​(VirtualFile source)

    - #### exportName

          public ImportNodesParams.Builder exportName​(String exportName)

    - #### includeNodeIds

          public ImportNodesParams.Builder includeNodeIds​(boolean importNodeIds)

    - #### includePermissions

          public ImportNodesParams.Builder includePermissions​(boolean importPermissions)

    - #### xslt

          public ImportNodesParams.Builder xslt​(VirtualFile xslt)

    - #### xsltFileName

          public ImportNodesParams.Builder xsltFileName​(String xsltFileName)

    - #### xsltParams

          public ImportNodesParams.Builder xsltParams​(Map<String,​Object> xsltParams)

    - #### xsltParam

          public ImportNodesParams.Builder xsltParam​(String paramName,
                                                     Object paramValue)

    - #### nodeImportListener

          public ImportNodesParams.Builder nodeImportListener​(NodeImportListener nodeImportListener)

    - #### build

          public ImportNodesParams build()